org.apache.xalan.xsltc.cmdline

## Class Transform

- java.lang.Object
- - org.apache.xalan.xsltc.cmdline.Transform

    public final class Transform
    extends java.lang.Object

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen, G. Todd Miller, Morten Jorgensen

### Constructor Summary

Constructors
Constructor and Description
`Transform(java.lang.String className, java.lang.String fileName, boolean uri, boolean debug, int iterations)`

### Method Summary

Methods
`java.lang.String` `getClassName()`
`java.lang.String` `getFileName()`
`static void` `main(java.lang.String[] args)`
`static void` `printUsage()`
`void` `setParameters(java.util.Vector params)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Transform

    public Transform(java.lang.String className,
             java.lang.String fileName,
             boolean uri,
             boolean debug,
             int iterations)

### Method Detail

#### getFileName

    public java.lang.String getFileName()

#### getClassName

    public java.lang.String getClassName()

#### setParameters

    public void setParameters(java.util.Vector params)

#### printUsage

    public static void printUsage()

#### main

    public static void main(java.lang.String[] args)